Bug 1200736 - [RFE] Add image metadata to disks
Summary: [RFE] Add image metadata to disks
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: ---
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Tal Nisan
QA Contact: Raz Tamir
URL:
Whiteboard:
Depends On: ovirt_refactor_disk_class_hierarchy
Blocks: 1106370 1117489
TreeView+ depends on / blocked
 
Reported: 2015-03-11 10:03 UTC by Tomas Jelinek
Modified: 2019-04-28 10:54 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-27 12:48:12 UTC
oVirt Team: Storage
Embargoed:
ylavi: ovirt-future?
ylavi: planning_ack?
ylavi: devel_ack?
ylavi: testing_ack?


Attachments (Terms of Use)

Description Tomas Jelinek 2015-03-11 10:03:26 UTC
Currently the disks don't contain any metadata about what is installed on them.
In order to make the instance types+images really useful, the images also have to contain the following metadata:

- operating system
- timezone
- initrd_url, kernel_url, kernel_params

Comment 1 Allon Mureinik 2015-03-12 08:37:19 UTC
(In reply to Tomas Jelinek from comment #0)

> - operating system
> - timezone
> - initrd_url, kernel_url, kernel_params

This only seems relevant to bootable disks, no?

Comment 2 Tomas Jelinek 2015-03-12 09:00:07 UTC
> This only seems relevant to bootable disks, no?
yes

Comment 3 Allon Mureinik 2015-04-27 11:58:36 UTC
(In reply to Tomas Jelinek from comment #2)
> > This only seems relevant to bootable disks, no?
> yes

It that case, I really don't think it should be coupled to the disk entity.
Can't you represent it somewhere in the instance types solution?

Comment 4 Tomas Jelinek 2015-04-27 12:18:49 UTC
OS, timezone or kernel params are certainly not the hardware of the VM so it can not be on the instance type. This are all values which are dependent on what is actually installed on the specific disk.

Comment 5 Allon Mureinik 2015-04-27 12:22:25 UTC
(In reply to Tomas Jelinek from comment #4)
> OS, timezone or kernel params are certainly not the hardware of the VM so it
> can not be on the instance type. This are all values which are dependent on
> what is actually installed on the specific disk.
"installed on" means it has nothing to do with the disk ITSELF. We need a third place to save it.

Comment 6 Tomas Jelinek 2015-04-27 12:50:50 UTC
Can you please elaborate a bit more on how do you think it should be done?

Comment 7 Red Hat Bugzilla Rules Engine 2015-10-19 10:56:30 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 8 Yaniv Kaul 2015-11-26 16:09:22 UTC
We should match some of what Glance strives to store on the disks. Would make life easier later.
See http://docs.openstack.org/cli-reference/content/chapter_cli-glance-property.html .

Comment 9 Allon Mureinik 2017-01-24 21:47:56 UTC
I'd remove the bootable notion altogeher, frankly.
Although, perhaps a disk_content_element may be in order.

Comment 10 Doron Fediuck 2018-05-27 12:48:12 UTC
Closing old RFE's.
If relevant, please re-open and explain why.


Note You need to log in before you can comment on or make changes to this bug.